var initMenu = function() {
  var menu = $('#menu');
  $('header .main-btn').toggle(function(){
        menu.slideDown();
      },
      function(){
        menu.slideUp();
      });

  var checkMenu = function() {
    if (menu.css('display') == 'none') {
      if (!menu.data('collapsed')) {
        menu.data('collapsed', true);
        menu.on('click', '.topLevel', function(e) {
          e.preventDefault();

          var $this = $(this),
              li = $this.closest('li');

          if ($("ul", li).length > 0) {
            if (!li.data('clicked')) {
              li.siblings().data('clicked', false);
              li.data('clicked', true);
              li.siblings().removeClass("hover");
              li.addClass("hover");
              return true;
            }
          }
          window.location.href = $this.attr('href');
          return true;
        });
      }
    } else {
      menu.data('collapsed', false);
      menu.off('click', '.topLevel');
    }
  };

  checkMenu();

  $(window).resize(function(){
    checkMenu();
  });
};

$(document).ready(function(){
  initMenu();
});